package com.company.radiobuttondatagrid.entity;

import io.jmix.core.metamodel.datatype.EnumClass;

import org.springframework.lang.Nullable;


public enum Rationale implements EnumClass<Integer> {

    EXCELLENT(10),
    VERY_GOOD(20),
    MEDIUM(30);

    private final Integer id;

    Rationale(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

    @Nullable
    public static Rationale fromId(Integer id) {
        for (Rationale at : Rationale.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}